Package org.globus.ftp.exception

# Class ClientException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.ftp.exception.FTPException
org.globus.ftp.exception.ClientException

All Implemented Interfaces:
  `Serializable`

public class ClientException extends FTPException
Indicates a local client side problem that has not been caused by remote server nor the local data channel.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BAD_MODE`
`static final int`
`BAD_SERVER_MODE`
`static final int`
`BAD_TYPE`
`static final int`
`CALL_PASSIVE_FIRST`
`static final int`
`LOCAL_TRANSFER`
`static final int`
`MARK_NOT_SUPPORTED`
`static final int`
`NOT_AUTHORIZED`
`static final int`
`OTHER`
`static final int`
`PBSZ_DIFFER`
`static final int`
`REPLY_TIMEOUT`
`static final int`
`SOCKET_OP_FAILED`
`static final int`
`THREAD_KILLED`
`static final int`
`TRANSFER_MODE_DIFFER`
`static final int`
`TRANSFER_TYPE_DIFFER`
`static final int`
`UNKNOWN_HOST`

### Fields inherited from class org.globus.ftp.exception.FTPException

`cause, code, customMessage, UNSPECIFIED`

## Constructor Summary

Constructors
Constructor
Description
`ClientException(int code)`
`ClientException(int code, String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCodeExplanation(int code)`

### Methods inherited from class org.globus.ftp.exception.FTPException

`getCode, getCustomMessage, getMessage, getRootCause, printStackTrace, printStackTrace, printStackTrace, setCode, setCustomMessage, setRootCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NOT_AUTHORIZED

public static final int NOT_AUTHORIZED

See Also:
  - Constant Field Values

### PBSZ_DIFFER

public static final int PBSZ_DIFFER

See Also:
  - Constant Field Values

### TRANSFER_MODE_DIFFER

public static final int TRANSFER_MODE_DIFFER

See Also:
  - Constant Field Values

### TRANSFER_TYPE_DIFFER

public static final int TRANSFER_TYPE_DIFFER

See Also:
  - Constant Field Values

### BAD_SERVER_MODE

public static final int BAD_SERVER_MODE

See Also:
  - Constant Field Values

### REPLY_TIMEOUT

public static final int REPLY_TIMEOUT

See Also:
  - Constant Field Values

### THREAD_KILLED

public static final int THREAD_KILLED

See Also:
  - Constant Field Values

### BAD_MODE

public static final int BAD_MODE

See Also:
  - Constant Field Values

### MARK_NOT_SUPPORTED

public static final int MARK_NOT_SUPPORTED

See Also:
  - Constant Field Values

### CALL_PASSIVE_FIRST

public static final int CALL_PASSIVE_FIRST

See Also:
  - Constant Field Values

### LOCAL_TRANSFER

public static final int LOCAL_TRANSFER

See Also:
  - Constant Field Values

### UNKNOWN_HOST

public static final int UNKNOWN_HOST

See Also:
  - Constant Field Values

### BAD_TYPE

public static final int BAD_TYPE

See Also:
  - Constant Field Values

### SOCKET_OP_FAILED

public static final int SOCKET_OP_FAILED

See Also:
  - Constant Field Values

### OTHER

public static final int OTHER

See Also:
  - Constant Field Values

## Constructor Details

### ClientException

public ClientException(int code, String message)

### ClientException

public ClientException(int code)

## Method Details

### getCodeExplanation

public String getCodeExplanation(int code)

Overrides:
  `getCodeExplanation` in class `FTPException`